GWT 2.7.0

## com.google.gwt.logging.client
Class TextLogFormatter

    java.lang.Object
      java.util.logging.Formatter
          com.google.gwt.logging.impl.FormatterImpl
              com.google.gwt.logging.client.TextLogFormatter

    public class TextLogFormatter

extends com.google.gwt.logging.impl.FormatterImpl

Formats LogRecords into 2 lines of text.

Constructor Summary
`TextLogFormatter(boolean showStackTraces)`

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord event)`

Methods inherited from class com.google.gwt.logging.impl.FormatterImpl
`getRecordInfo, getStackTraceAsString`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextLogFormatter

    public TextLogFormatter(boolean showStackTraces)

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord event)

  Specified by:
    `format` in class `java.util.logging.Formatter`

GWT 2.7.0